Subject: bug#21428: 24.5; Crash of emacs on OS X, installed via homebrew cask

From: Rainer M Krug <[email-masked]>
Date: Mon, 07 Sep 2015 19:46:54 +0200

Eli Zaretskii <[email-masked]> writes:

>> From: Rainer M Krug <[email-masked]>
>> Date: Mon, 07 Sep 2015 12:08:29 +0200
>> Cc: [email-masked]
>> 
>> 
>> Emacs crashes completely. Unfortunately I can not give a reproducible
>> recipe, but it happened for some time when moving the cursor an overlay and it
>> improved upon disabling this in the .emacs file. But it did not solved
>> it and the crash occured this time without that overlay enabled.
>> 
>> 
>> Below if the output from `bt ful' and the backtrace from OS X.
>
> Looks like some kind of infinite recursion.  If you can try a snapshot
> of the development sources, we could perhaps find out whether this
> problem, whatever it is, was already fixed since 24.5 was released.
>
> I'll try to look into the related code and see if I can guess why this
> happen.

Thanks.

>
> Can you show an example of the buffer displayed when this happens?
> Preferably some Lisp to recreate such a buffer.  It would help to have
> such an example handy.

Unfortunately not before the end of the week. Is there a OSX
installation for snapshot which I could use?

If yes, I will install it and see. I will report back as soon as I have
my computer back.

Rainer

> Thanks.

-- 
Rainer M. Krug, PhD (Conservation Ecology, SUN), MSc (Conservation Biology, UCT), Dipl. Phys. (Germany)

Centre of Excellence for Invasion Biology
Stellenbosch University
South Africa

Tel :       +33 - (0)9 53 10 27 44
Cell:       +33 - (0)6 85 62 59 98
Fax :       +33 - (0)9 58 10 27 44

Fax (D):    +49 - (0)3 21 21 25 22 44

email:      [email-masked]

Skype:      RMkrug

PGP: 0x0F52F982